# FileLink
<span class="source-link">[[Source]](src/files/file_caps.md#L12)</span>
```pony
primitive val FileLink
```

## Constructors

### create
<span class="source-link">[[Source]](src/files/file_caps.md#L12)</span>


```pony
new val create()
: FileLink val^
```

#### Returns

* [FileLink](files-FileLink.md) val^

---

## Public Functions

### value
<span class="source-link">[[Source]](src/files/file_caps.md#L13)</span>


```pony
fun box value()
: U32 val
```

#### Returns

* [U32](builtin-U32.md) val

---

### eq
<span class="source-link">[[Source]](src/files/file_caps.md#L13)</span>


```pony
fun box eq(
  that: FileLink val)
: Bool val
```
#### Parameters

*   that: [FileLink](files-FileLink.md) val

#### Returns

* [Bool](builtin-Bool.md) val

---

### ne
<span class="source-link">[[Source]](src/files/file_caps.md#L13)</span>


```pony
fun box ne(
  that: FileLink val)
: Bool val
```
#### Parameters

*   that: [FileLink](files-FileLink.md) val

#### Returns

* [Bool](builtin-Bool.md) val

---

